Bug 757628 - scheduled shutdown doesn't work
Summary: scheduled shutdown doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-28 06:11 UTC by Sergey Arsenyev
Modified: 2012-01-30 20:59 UTC (History)
7 users (show)

Fixed In Version: systemd-37-11.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-25 04:54:29 UTC


Attachments (Terms of Use)

Description Sergey Arsenyev 2011-11-28 06:11:16 UTC
Description of problem:

 suhtdown doesn't reboot system on time

Version-Release number of selected component (if applicable):


How reproducible:

# shutdown -r 23:00
Shutdown scheduled for Fri, 25 Nov 2011 23:00:00 +0400, use 'shutdown -c' to cancel.
# 
Broadcast message from nut@************* (Sat Nov 26 07:11:45 2011):

Steps to Reproduce:
1. connect to Fedora
2. open terminal and print shutdown command
3. waiting
  
Actual results:

 it doesn't reboot

Expected results:

 reboot on time

Additional info:

Comment 1 Michal Schmidt 2011-11-28 12:49:03 UTC
I can reproduce this in Rawhide and also in F16 with the Rawhide kernel. Not in plain F16.
The first attempt always fails, but the following attempts succeed.
In /var/log/messages I'm getting this error from the first attempt:

systemd-shutdownd[1195]: Got request from unprivileged user. Ignoring.

A debug print showed that systemd-shutdownd received:
 (struct ucred){.pid=0, .uid=-1, .gid=-1}

It's likely related to this kernel change:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=16e5726269611b71c930054ffe9b858c1cea88eb
af_unix: dont send SCM_CREDENTIALS by default

systemd-shutdownd is socket-activated on demand. systemd does not set SO_PASSCRED on the listening socket. The option is set on the socket by systemd-shutdownd after activation, so that's why only first attempt fails.

We should add an option to set SO_PASSCRED on sockets and use it in systemd-shutdownd.socket.

Comment 2 Michal Schmidt 2011-11-28 14:06:09 UTC
I've notified netdev: http://marc.info/?l=linux-netdev&m=132248669629981&w=2

Comment 4 Fedora Update System 2012-01-11 15:02:35 UTC
systemd-37-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/systemd-37-6.fc16

Comment 5 Fedora Update System 2012-01-11 20:58:07 UTC
Package systemd-37-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-37-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0409/systemd-37-6.fc16
then log in and leave karma (feedback).

Comment 6 Sergey Arsenyev 2012-01-13 05:07:56 UTC
Thanks it's work

Comment 7 Fedora Update System 2012-01-16 02:25:41 UTC
Package systemd-37-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-37-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0409/systemd-37-7.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-01-17 20:23:39 UTC
Package systemd-37-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-37-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0409/systemd-37-8.fc16
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-01-22 22:54:56 UTC
Package systemd-37-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-37-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0409/systemd-37-10.fc16
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-01-30 20:59:29 UTC
systemd-37-11.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.